function Create(self)
	self.FrameTimer = Timer()
	self.LagTimer = Timer()
	self.PartTimer = Timer()
	self.laglimiter = 300
	
	self.Threshold = 200
	
	-- table stuff
	self.regen = {}
	for actor in MovableMan.Actors do
		if actor:IsInGroup("Zombies") and string.find(actor.PresetName, "Zombie") and
		(actor.Pos - self.Pos).Magnitude <= self.Threshold and actor.Health < 100 then
			table.insert(self.regen,actor)
		end
	end
	
end

function Destroy(self)
end

function Update(self)
	if self.FrameTimer:IsPastSimMS(200) then
		self.Frame = math.random(self.FrameCount)
		self.FrameTimer:Reset()
	end
	if self.LagTimer:IsPastSimMS(self.laglimiter) then
		self.regen = {}
		for actor in MovableMan.Actors do
			if actor:IsInGroup("Zombies") and string.find(actor.PresetName, "Zombie") and
			(actor.Pos - self.Pos).Magnitude <= self.Threshold and actor.Health < 100 then --whoa lots of arguments XD
				table.insert(self.regen,actor)
			end
		end
		self.LagTimer:Reset()
	end
	for k,actor in ipairs(self.regen) do
		if MovableMan:ValidMO(actor) and actor:IsActor() then
			--regen health
			--healing particle stuff.
			if self.PartTimer:IsPastSimMS(700) then
				--Create the particle.
				actor.part = CreateMOSParticle("Particle Heal Effect");
				--Set the particle's position to just over the actor's head.
				actor.part.Pos = actor.AboveHUDPos + Vector(0,4);
				--Add the particle to the world.
				MovableMan:AddParticle(actor.part);
				if k == #self.regen then
					self.PartTimer:Reset()
				end
			end
			if (actor.Health < 100 and math.random(actor.Health/4) < 3) and not actor:IsDead() then
				actor.Health = actor.Health + 1
				if actor.Health > 100 then
					actor.Health = 100
				end
			end
			if actor:IsDead() or actor.ToSettle then
				--ASPLODE IF DEAD
				actor:GibThis()
				table.remove(self.regen,k)
			end
		else
			--no point having useless data stick around.
			table.remove(self.regen,k)
		end
	end
end
