function Create(self)
	self.target = nil;
	self.LagTimer = Timer()
	self.laglimiter = 75
	self.BurnTimer = Timer()
	self.OutTimer = Timer()
	self.outlimit = math.floor(math.random(500,2000))
	self.fireshowcase = {"Small Fire Burst", "Sparks for Gibs", "Smoldering Fire Speck Flash", "Smoke Burst", "Fire Burst", "Fire 1 Zombies", "Fire 2 Zombies"}
	self.smoked = false
end

function attach(x)
	local closest = 20;
	for actor in MovableMan.Actors do
		local dist = Vector ( (actor.Pos.X - x.Pos.X), (actor.Pos.Y - x.Pos.Y) )
		if dist.Magnitude <= closest then
			closest = dist.Magnitude;
			x.target = actor;
			x.target.Multiplier = ( 40 / x.target.Mass )-- * ( 50 / x.target.Material.StructuralIntegrity ) 
		end
	end
end

function Update(self)
	if self.LagTimer:IsPastSimMS(self.laglimiter) then
		if MovableMan:ValidMO(self.target) then
			self.Pos = Vector( (self.target.Pos.X + math.random(-2,2)),(self.target.Pos.Y + math.random(-2,2)) )
			self.Vel = self.target.Vel
			if self.BurnTimer:IsPastSimMS(math.floor(math.random(200,500))) then
				--so it can only actually set the ground alight if its close to it..
				if self:GetAltitude(50,4) < 35 then
					self.fwoosh = CreateAEmitter(self.fireshowcase[math.ceil(math.random(0.1, #self.fireshowcase))], "Zombies.rte")
				else
					self.fwoosh = CreateAEmitter(self.fireshowcase[math.ceil(math.random(0.1, (#self.fireshowcase - 2)))], "Zombies.rte")
				end
				self.fwoosh.Pos = Vector((self.Pos.X + math.random(-10,10)),(self.Pos.Y + math.random(-10,10)))
				self.fwoosh.Vel = Vector((self.target.Vel.X + math.random(-5,5)),(self.target.Vel.Y + math.random(-5,-1)))
				MovableMan:AddParticle(self.fwoosh);
				self.BurnTimer:Reset()
				self.target.Health = self.target.Health - math.random(self.target.Multiplier,(5 * self.target.Multiplier))
			end
			if self.target.Health < 1 then
				self:GibThis();
			end
		else
			if self.BurnTimer:IsPastSimMS(200) then
				attach(self);
				self.BurnTimer:Reset()
				self.Vel.Y = self.Vel.Y + 2
			end
		end
		if self.smoked == false and self:GetAltitude(5,2) < 2 then
			self.smoke = CreateAEmitter("Smoke Burst", "Zombies.rte")
			self.smoke.Pos = self.Pos
			MovableMan:AddParticle(self.smoke);
			self.smoked = true
			self.OutTimer:Reset()
		end
		if self.smoked == true and self.OutTimer:IsPastSimMS(self.outlimit) then
			self:GibThis()
		end
	end
end

function Destroy(self)
	self.finalflare = CreateAEmitter("Sparks for Gibs", "Zombies.rte")
	self.finalflare.BurstScale = 5
	self.finalflare.Vel = Vector((self.Vel.X + math.random(-5,5)),(self.Vel.Y + math.random(-5,-1)))
	self.finalflare.Pos = self.Pos
	if not MovableMan:ValidMO(self.finalflare) then
		MovableMan:AddParticle(self.finalflare);
	end
end
