function Create(self)
	self.dist = 70
	self.target = nil
	for actor in MovableMan.Actors do
		local curdist = (actor.Pos - self.Pos).Magnitude
		--if not in the zombie group or a zombie (vanilla zombies dont count) and closer than the current distance set target.
		if not (actor:IsInGroup("Zombies") and string.find(actor.PresetName, "Zombie")) and dist <= self.dist then
			if self.dist < curdist then
				self.dist = curdist
				self.target = actor
			end
		end
	end
end

function Update(self)
	if self.LagTimer:IsPastSimMS(100) and self.target ~= nil then
		self.Vel = self.Vel + (self.Pos - self.target.Pos):Normalize()
	end
	if self.victim == nil or targetID == self.ID then
		local targetID = SceneMan:CastMORay(self.Pos,(self.Vel / self.Vel.Magnitude)*50,self.ID,0,false,5);
		if targetID ~= 255 and targetID ~= self.ID and MovableMan:ValidMO(MovableMan:GetMOFromID(MovableMan:GetRootMOID(targetID))) then
			--something is along our line of motion!
			local tpos = SceneMan:GetLastRayHitPos();
		local dist = Vector(tpos - self.Pos).Magnitude;
			if  dist < self.dist then
				self.victim = MovableMan:GetMOFromID(targetID);
				self.distance = dist;
				self.rootVictim = MovableMan:GetMOFromID(MovableMan:GetRootMOID(targetID));
			self:SetWhichMOToNotHit(self.rootVictim,-1)
			end
		end
	end
	
end

function Destroy(self)

end
